snprintf.h File Reference

Compatibility wrappers for OSes lacking snprintf(3) and/or vsnprintf(3). More...

## Functions

int | xmpp_snprintf (char *str, size_t count, const char *fmt,...)
int | xmpp_vsnprintf (char *str, size_t count, const char *fmt, va_list arg)

## Detailed Description

Compatibility wrappers for OSes lacking snprintf(3) and/or vsnprintf(3).

## Function Documentation

## xmpp_snprintf()

int xmpp_snprintf | ( | char * | str,
|  | size_t | count,
|  | const char * | fmt,
|  |  | ...
| ) |  |

## xmpp_vsnprintf()

int xmpp_vsnprintf | ( | char * | str,
|  | size_t | count,
|  | const char * | fmt,
|  | va_list | arg
| ) |  |